package p01_zmienne;

import java.util.Locale;
import java.util.Scanner;

public class Skaner {

    public static void main(String[] args) {
   	 // Aby wczytywać dane ze standardowego wejścia, w Javie w praktyce używa się klasy Scanner.
   	 // Deklaruję zmienną scanner typu Scanner i wpisuję do niej (wskaźnik do...) nowy obiekt klasy Scanner.
   	 // Ten Scanner czyta dane ze standardowego wejścia (System.in).
   	 Scanner scanner = new Scanner(System.in);
   	 // Domyślnie Scanner bierze pod uwagę ustawienia regionalne systemu.
   	 // Przy ustawieniach polskich, za separator dziesiętny jest uważany przecinek,
   	 // Jeśli chcemy, aby Scanner czytał liczby z kropką, to zmieniamy ustawienia na amerykańskie:
   	 // scanner.useLocale(Locale.US);
   	 
   	 System.out.println("Wpisz linię tekstu:");
   	 String linia = scanner.nextLine();
   	 System.out.println("Wczytana linia: " + linia);
   	 
   	 System.out.println("Wpisz kilka słów:");
   	 String slowo1 = scanner.next();
   	 String slowo2 = scanner.next();
   	 String reszta = scanner.nextLine();
   	 
   	 System.out.println("Pierwsze słowo: " + slowo1);
   	 System.out.println("Drugie słowo: " + slowo2);
   	 System.out.println("Reszta linii: " + reszta);
   	 System.out.println();
   	 
   	 // Scanner pozwala wczytywać dane liczbowe (bez dodatkowych konwersji)
   	 System.out.print("Wpisz liczbę całkowitą: ");
   	 int x = scanner.nextInt();

   	 System.out.print("Wpisz liczbę z ułamkiem: ");
   	 double y = scanner.nextDouble();
   	 
   	 System.out.println("wczytane liczby: " + x + " " + y);
   	 System.out.println("wynik mnożenia: " + (x*y));
    }

}
